import { ReactElement } from "react";
import { Stats } from "@/app/components/stats";
import { Metadata } from "next";

export const metadata: Metadata = {
  openGraph: {
    description: "Click to view the API statistics",
  },
};

export default async function Page(): Promise<ReactElement> {
  return (
    <div className="flex flex-col gap-4 items-center">
      <div className="text-center">
        <p className="font-semibold text-xl">API Statistics</p>
        <p>View the statistics for the API in real-time!</p>
      </div>
      <Stats />
    </div>
  );
}
